using UIKit;
using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;
using InABox.Mobile;
using InABox.Mobile.iOS;

[assembly: ExportRenderer(typeof(MobileEntry), typeof(MobileEntryRenderer))]
namespace InABox.Mobile.iOS
{
    class MobileEntryRenderer : EntryRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<Entry> e)
        {
            base.OnElementChanged(e);

            if (Control != null)
            {
                Control.BorderStyle = UITextBorderStyle.None;
                Control.Layer.CornerRadius = 5;
                Control.TextColor = UIColor.Black;
            }
        }
    }
}